Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface DesktopInstanceControl

    @ControlInterface
    public interface DesktopInstanceControl

A custom control interface used to interact with DesktopInstances

Method Summary
`DesktopView` | `getDesktopView(String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Gets a desktop view scoped to the web app.
`void` | `updateLookAndFeelInDesktopInstance(LookAndFeelDefinitionId lafId, DesktopInstanceId desktopId, ResourceContext context)` Updates the the look and feel for a desktop instance.

Method Detail

### getDesktopView

    DesktopView getDesktopView(String webApp,
                               PortalPath portalPath,
                               DesktopPath desktopPath,
                               ResourceContext context)
                               throws ToolsException

  Gets a desktop view scoped to the web app. This contains an immutable view of all child resources.

  Parameters
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    A DesktopView
  Throws
    `ToolsException`

### updateLookAndFeelInDesktopInstance

    void updateLookAndFeelInDesktopInstance(LookAndFeelDefinitionId lafId,
                                            DesktopInstanceId desktopId,
                                            ResourceContext context)
                                            throws ToolsException,
                                                   NotEntitledException,
                                                   ObjectNotFoundException

  Updates the the look and feel for a desktop instance.

  Parameters
    `lafId` - The id for the new look and feel.
    `desktopId` - The id for the desktop instance
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.